## netkit-telnet 0.12

=== telnetd/Makefile ===
all: telnetd

include ../MCONFIG
include ../MRULES

ifeq ($(USE_GLIBC),1)
CFLAGS += -D_GNU_SOURCE
endif

# -DAUTHENTICATE

# If having unused tty devices root.root and mode 600 bugs you,
# take out -DPARANOID_TTYS.

CFLAGS += '-DISSUE_FILE="/etc/issue.net"' -DPARANOID_TTYS \
	-DTERMCAP -DUSE_TERMIO -DKLUDGELINEMODE -DDIAGNOSTICS
LIBS += $(LIBTERMCAP)

OBJS = telnetd.o state.o termstat.o slc.o sys_term.o utility.o \
	global.o authenc.o logwtmp.o logout.o

telnetd: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

$(OBJS): defs.h ext.h pathnames.h telnetd.h logwtmp.h logout.h

install: telnetd
	install -s -m$(DAEMONMODE) telnetd $(INSTALLROOT)$(SBINDIR)/in.telnetd
	install -m$(MANMODE) issue.net.5 $(INSTALLROOT)$(MANDIR)/man5/
	install -m$(MANMODE) telnetd.8 $(INSTALLROOT)$(MANDIR)/man8/in.telnetd.8
	ln -sf in.telnetd.8 $(INSTALLROOT)$(MANDIR)/man8/telnetd.8

clean:
	rm -f *.o telnetd

## netkit-telnet 0.17

=== telnetlogin/Makefile ===
all: telnetlogin

include ../MCONFIG
include ../MRULES

OBJS = telnetlogin.o

telnetlogin: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

$(OBJS): ../version.h

install: telnetlogin
	install -s -m4750 -oroot -gtelnetd telnetlogin $(INSTALLROOT)$(SBINDIR)
	install -m$(MANMODE) telnetlogin.8 $(INSTALLROOT)$(MANDIR)/man8

clean:
	rm -f *.o telnetlogin

=== debian/changelog ===
netkit-telnet (0.17-41) unstable; urgency=low

  * Declare Standards version as 3.9.8, no changes.
  * Rework cross-compilation mechanism, suggested by Helmut Grohne.
    Closes: #835977
    + debian/patches/150-cross_configuration.diff: New file.
    + debian/rules: Drop CROSS, prefer CC and CXX with host type prefix.
  * debian/rules: Increase hardening level.
  * debian/telnet.lintian-overrides: New name of old file.
    Add overrides concerning `wont'.
  * debian/telnetd.lintian-overrides: Add `wont' clauses.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 07 Nov 2016 19:06:40 +0100

netkit-telnet (0.17-40) unstable; urgency=low

  * Bring in package changes from experimental to unstable.
  * debian/rules: Add a variable LDDEFS. It is consumed during linking
    and is intended to suppress unnecessary linking.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 22:37:15 +0200

netkit-telnet (0.17-39) experimental; urgency=low

  * Isolate support for USERVAR in a separate patch for easier use in
    the variant package netkit-telnet-ssl.  Add LANG and LC_* to the
    list of environment variables acceptable by the server.  Add support
    in the client for exporting USERVAR classified variables.
    + debian/patches/120-some_protocol_refinement.diff: Updated.
    + debian/patches/124-support_uservar.diff: New file.
  * Activate support for user variables in environment.  The server
    accepts USERVAR classified variables, and the user agent announces
    non-standard named variables as USERVAR.  Closes: #237268
    + debian/rules: Add '-DACCEPT_USERVAR' to CFLAGS and to CXXFLAGS. 
  * Modify patch for direct use also with package netkit-telnet-ssl.
    + debian/patches/130-drain_input_from_child.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 09 Mar 2015 15:42:23 +0100

netkit-telnet (0.17-38) experimental; urgency=low

  * Interchange maintainer and uploader!
  * Refactor patch sets.
    + debian/patches/010-full_set_in_18.diff: Updated and renamed.
    + debian/patches/020-from_18_to_24.diff: Updated and renamed.
    + debian/patches/022-buffer_overflow_by_HOME.diff: New file.
    + debian/patches/024-can_2004-0911.diff: New file.
    + debian/patches/026-can_2005_0469.diff: New file.
  * Repair broken host name check in telnetlogin.
    + debian/patches/140-telnetlogin_name_check.diff: New file.
  * New switch '-N' for telnetd.  Taken from netkit-telnet-ssl.
    + debian/patches/142-numeric_hosts.diff: New file.
  * Suppress a useless error message at package removal.
    + debian/telnetd.postrm: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 06 Feb 2015 19:41:53 +0100

netkit-telnet (0.17-37) experimental; urgency=low

  * Add Mats Erik Andersson as uploader.
  * Migrate to format "3.0 (quilt)".
    + debian/source/format: New file.
    + debian/patches/010-full_set_in_18woody3.diff: New file.
    + debian/patches/020-from_18woody3_to_29.diff: New file.
    + debian/patches/030-reject_invalid_port.diff: New file.
    + debian/patches/040-do_not_strip_programs.diff: New file.
    + debian/patches/045-avoid_unsetting_term.diff: New file.
  * Upgrade to Standards 3.9.6, compatibility 9.
    + debian/rules: Implement targets "build-arch" and "build-indep".
  * debian/rules: Implement hardening and cross builds, like netkit-ftp.
    + debian/patches/100-format_security_error.diff: New file.
  * debian/control: Add "misc:Depends" to both packages.
  * debian/telnetd.postinst: Make sure that inetd.conf exists before
    greping for text in it.
  * [lintian] Mixed complaints.
    + Delete leftover postinst.debhelper and postrm.debhelper.
    + Protocol notion name "dont" is legal; add lintian overrides.
    + description-synopsis-starts-with-article
    + maintainer-script-without-set-e
    + debian/control: Expand extended description of both packages.
      Remove outdated conflict with suidmanager.
    + debian/copyright: Include an explicit copy of the relevant license
      "BSD-4-clause".  Complement data on license holders.
    + debian/menu: Command is the physical executable, not the link.
    + debian/patches/110-markup_errors.diff: New file.  Closes: #676258
    + debian/rules: Call dh_prep and dh_lintian.
  * Improve protocol compliance and negotiation printout.
    + debian/patches/120-some_protocol_refinement.diff: New file.
  * Incomplete transfer of data from server to client.  Closes: #607415
    + debian/patches/130-drain_input_from_child.diff

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Jan 2015 17:26:31 +0100

netkit-telnet (0.17-36) unstable; urgency=low

  [ Ian Beckwith ]
  * telnetd.postinst:
    + Fix update-inetd --remove regexp.
    + Drop group from telnetd-ssl regexp.
  * telnetd.postrm: Only remove inetd entry if it is disabled.
  * telnetd Depends:
    + Replace netbase Depends: with openbsd-inetd | inet-superserver
      to pull in update-inetd (Closes: #473262).
    + Remove versioned dependencies on versions of dpkg and base-files
      that long predate oldstable.

  [ Alberto Gonzalez Iniesta ]
  * Upload Ian's patch (Closes: #486123)
  * Patched telnet.cc to avoid unsetting the TERM variable when is not
    known in the local host. Thanks Philippe Troin for the patch.
    (Closes: #237324)
  * Updated debian/menu. Thanks Hideki Yamane. (Closes: #483829)
  * Removed stripping options from Makefiles. (Closes: #437618)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 17:38:26 +0200

netkit-telnet (0.17-35) unstable; urgency=low

  * The 'this does not need to depend on update-inetd' release
  * debian/control: Removed Depends on update-inetd.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 13 Dec 2006 08:39:28 +0100

netkit-telnet (0.17-34) unstable; urgency=low

  * The 'update-inetd' batch release.
  * debian/control: Added Depends on update-inetd 



=== debian/control ===
Source: netkit-telnet
Section: net
Priority: standard
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libncurses-dev

Package: telnet
Architecture: any
Depends: netbase, ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Provides: telnet-client
Description: basic telnet client
 The telnet command is used for interactive communication with another host
 using the TELNET protocol.
 .
 For the purpose of remote login, the present client executable should be
 depreciated in favour of an ssh-client, or in some cases with variants like
 telnet-ssl or Kerberized TELNET clients.  The most important reason is that
 this implementation exchanges user name and password in clear text.
 .
 On the other hand, the present program does satisfy common use cases of
 network diagnostics, like protocol testing of SMTP services, so it can
 become handy enough.

Package: telnetd
Architecture: any
Priority: optional
Depends: adduser, openbsd-inetd | inet-superserver, passwd, ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Provides: telnet-server
Description: basic telnet server
 The in.telnetd program is a server which supports the DARPA telnet interactive
 communication protocol.
 .
 This legacy server should in general be abandoned in favour of a contemporary
 ssh-server, as this implementation only is able to process password and user
 name in clear text.  Other variants, like telnetd-ssl and a selection of
 Kerberized TELNET servers, are able to improve on this by providing secure
 forms of authentication and encryption.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.12 2003/10/18 03:37:54 herbert Exp $
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDDEFS := -Wl,-z,defs -Wl,--as-needed

CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -fPIE -pie
CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS) -fPIE -pie
CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(origin CC),default)
	CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC
ifeq ($(origin CXX),default)
	CXX = $(DEB_HOST_GNU_TYPE)-g++
endif
export CXX

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure; \
		sed -e 's;^CFLAGS=\(.*\)$$;CFLAGS= -Ddebian -D_GNU_SOURCE -DACCEPT_USERVAR -g $(CFLAGS) $(CPPFLAGS) \1;' \
		    -e 's;^CXXFLAGS=\(.*\)$$;CXXFLAGS= -Ddebian -D_GNU_SOURCE -DACCEPT_USERVAR -g $(CXXFLAGS) $(CPPFLAGS) \1;' \
		    -e 's;^LDFLAGS=\(.*\)$$;& $(LDDEFS) $(LDFLAGS);' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	test ! -f MCONFIG || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C telnet INSTALLROOT=`pwd`/debian/telnet MANDIR=/usr/share/man \
		install
	mv debian/telnet/usr/bin/telnet debian/telnet/usr/bin/telnet.netkit
	mv debian/telnet/usr/share/man/man1/telnet.1 \
	   debian/telnet/usr/share/man/man1/telnet.netkit.1
	cp telnet/README debian/telnet/usr/share/doc/telnet/README.telnet
	cp telnet/README.old debian/telnet/usr/share/doc/telnet/README.telnet.old
	$(MAKE) -C telnetd INSTALLROOT=`pwd`/debian/telnetd \
		MANDIR=/usr/share/man install
	cp telnetlogin/telnetlogin.8 debian/telnetd/usr/share/man/man8
	cp telnetlogin/telnetlogin debian/telnetd/usr/lib
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## netkit-telnet 0.17.1

=== debian/changelog ===
netkit-telnet (0.17.1-deepin1+rb3) unstable; urgency=medium

  * Fix build on RISC-V

 -- Gui-Yue <yuemeng.gui@gmail.com>  Mon, 21 Nov 2022 09:14:20 +0000

netkit-telnet (0.17-42) unstable; urgency=medium

  * QA upload.
  * Orphan package (no maintainer activity since 2016).
  * Add debian/patches/telnet-netbufwrite-fix.diff (Closes: #974428)
    - Thanks to Nachiketa Prachanda for the patch.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Feb 2021 14:41:40 +0100

netkit-telnet (0.17-41.2) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake to build the package. Closes: #912131

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:25:14 +0100

netkit-telnet (0.17-41.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace sg usage with getent group in postinst (Closes: #904046)
    - note that there's still much room for related improvements, like
      using 'getent passwd' instead of id to match the common pattern
      also don't remove the user in postrm as that violates the
      common consensus (see discussion linked from #228692)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 21:12:12 +0100
